﻿PROC GLOBAL

alpha (26) alphabet = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";


function characterToNumber(alpha (1) char)

	numeric response = poschar(toupper(char),alphabet);

	if not response then // not in A-Z=

		if char = 'ø' then			response = 88;
		elseif char = '?' then		response = 99;
		else						response = -1; // invalid character
		endif;

	endif;

	characterToNumber = response;

end;


PROC MULTPOS_FF

preproc

	set behavior() canenter(notappl) on(noconfirm);


PROC NUMBERS

preproc

	if curocc() <= length(strip(MULTALPH)) then
		NUMBERS = characterToNumber(MULTALPH[curocc():1]);

	else
		NUMBERS = notappl;

	endif;

